package com.caimei365.user.mapper;

import com.caimei365.user.model.dto.HeHeUserDto;
import com.caimei365.user.model.vo.HeHeUserVo;
import org.apache.ibatis.annotations.Mapper;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/4/21
 */
@Mapper
public interface HeHeMapper {

    /**
     * 查询呵呵用户信息
     *
     * @param openId
     * @return
     */
    HeHeUserVo findHeHeUserByOpenId(String openId);

    /**
     * 根据手机号查询用户信息
     *
     * @param mobile
     * @return
     */
    HeHeUserVo findHeHeUserByMobile(String mobile);

    /**
     * 更新呵呵用户信息
     *
     * @param heHeUser
     */
    void updateHeHeUser(HeHeUserVo heHeUser);

    /**
     * 保存呵呵普通用户信息
     *
     * @param heHeUserDto
     */
    void insertHeHeUser(HeHeUserDto heHeUserDto);
}
