package com.caimei365.user.model.dto;

import io.swagger.annotations.*;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/3/24
 */
@ApiModel("小程序微信授权")
@Data
public class AuthAppletsDto implements Serializable {
    /**
     * 微信授权code
     */
    @NotNull
    @ApiModelProperty("微信授权code")
    private String code;
    /**
     * 微信加密数据
     */
    @ApiModelProperty("微信加密数据")
    private String encryptedData;
    /**
     * 加密算法的初始向量
     */
    @ApiModelProperty("加密算法的初始向量")
    private String iv;
}
