package com.caimei365.user.model.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/4/21
 */
@Data
public class HeHeUserVo implements Serializable {
    /**
     * 呵呵商城用户id
     */
    private Integer userId;

    /**
     * 姓名
     */
    private String name;

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 用户身份:1普通用户,2分销者
     */
    private String userIdentity;

    /**
     * 微信昵称
     */
    private String nickName;

    /**
     * 微信头像
     */
    private String headImgUrl;

    /**
     * 微信openid
     */
    private String openId;
}
